# Class Time

#### Hierarchy

- Time

- Defined in src/misc/Time.js:33

#####
Index

### Methods

createDate
getOptions
getTime
getUTCDate

## Methods

### createDate

- createDate(value: string | number, defaultValue?: Date): Date

- ### Returns

  the date

  #### Parameters

  - ##### value: string | number

    The value

  - ##### defaultValue: Date = null

    The default value

  #### Returns Date

  - Defined in src/misc/Time.js:40

### getOptions

- getOptions(time: TimeProperty): {
  maxDate: number;
  minDate: number;
  values: number | number[];
  }

- Get options regarding the time property of a node;

  ### Returns

  - Configuration for the UI components

  #### Parameters

  - ##### time: TimeProperty

    the time property of a node

  #### Returns {
  maxDate: number;
  minDate: number;
  values: number | number[];
  }

  - ##### maxDate: number

  - ##### minDate: number

  - ##### values: number | number[]

  - Defined in src/misc/Time.js:63

### getTime

- getTime(date: Date, defaultValue?: number): number

- ### Returns

  the time

  #### Parameters

  - ##### date: Date

    The date

  - ##### defaultValue: number = null

    The default value

  #### Returns number

  - Defined in src/misc/Time.js:49

### getUTCDate

- getUTCDate(localDate: Date): Date

- Time.prototype.getUTCDate - Get UTC date from a local date object

  ### Returns

  UTC date

  #### Parameters

  - ##### localDate: Date

    local date object in

  #### Returns Date

  - Defined in src/misc/Time.js:106

Generated using TypeDoc